;-----------------------------------------------------------------------------
; AutoIt3 script to communicate with PeCon Series 2000 controllers
; Gives users a simple script language to get/set information on devices
; with the power of additional AutoIt3 functions. Can be expanded with GUI
; elements and compiled to give a self-running exe (include dll's).
;
; Author: Dr. Oliver Merk - PeCon GmbH - Germany
; Version 01.000 / 24.01.2012
;
; PDL2000.dll and SiUSBXp.dll must be in the same directory like this script
;
;------------------------------------------------------------------------------


;#############################################################################
;----------------- BEGIN SCRIPT HEADER / DO NOT CHANGE -----------------------
;#############################################################################


; Include external function definitions
#include <PDL2000_AutoIt3-Functions.au3>

; Should debug information be send to SciTe console?
Global $DEBUG = False

; Open PDL2000.dll / IMPORTANT!
$PDL2000_DLL = OpenPeconDll ()


;#############################################################################
;-------------------------- BEGIN USER SCRIPT --------------------------------
;#############################################################################
; Here the name of the user defined script must be used
; Add path, if user script is not in same folder
;
; Uncomment to try examples. Only one script example should be uncommented

#include <PDL2000_User-Script.au3>		; User defined script (empty)
;#include <PDL2000_Example1-4.au3>		; How to send commands and receive data
;#include <PDL2000_Example5.au3>		; Record data to file
;#include <PDL2000_Example6.au3>		; Definition of a dynamic experiment
;#include <PDL2000_Example7.au3>		; How to communicate with two devices
;#include <PDL2000_Example8.au3>		; GUI example with 1 device and 1 channel


;#############################################################################
;----------------- BEGIN SCRIPT FOOTER / DO NOT CHANGE -----------------------
;#############################################################################


; Close PDL2000.dll / IMPORTANT!
ClosePeConDll($PDL2000_DLL)
