;#############################################################################
;---------------- DEFINE DEVICE SERIAL NUMBERS TO USE ------------------------
;#############################################################################

; Get a handle for the device with the given serial number
; To determine serial number of device: Press "MENU" -> Select "Version Info"
; This handle must be used in the script for every function call 
; to exactly specify the device where the command should be send to

; To make the example run change the serial number below to your device number
; Add more devices, if needed

Global $Device1 = OpenPeconDevice("140-08-0010")
; Global $Device2 = OpenPeconDevice("141-11-pt01")
; Global $Device3 = OpenPeconDevice("140-11-0001")



;#############################################################################
;--------------------- BEGIN USER CHANGEABLE PART ----------------------------
;#############################################################################
; Commands for the device should be placed in here
; See "PDL2000_AutoIt3-Functions.au3 for command definition
; Use $Device1, $Device2, etc. as handle for commands, definition is in "PDL2000_Core-Script.au3"
; Read AutoIt3 documentation (http://www.autoitscript.com) and have fun!

;-----------------------------------------------------------------------------

; Example1: Set setpoint to "37.0C" and set loop control to "on" on channel 1
SetSetpointValue ($Device1, 1, 37.0)
SetLoopControl   ($Device1, 1, 1)

;-----------------------------------------------------------------------------

; Example2: Wait 10 seconds (=10000 milliseconds)
Sleep(10000)

;-----------------------------------------------------------------------------

; Example3: Set setpoint to "27.0C" and set loop control to "off" on channel 2
SetSetpointValue ($Device1, 2, 27.0)
SetLoopControl   ($Device1, 2, 0)

;-----------------------------------------------------------------------------

; Example4: Read setpoint and actual value of channel 1 and show it formated in a simple message box
msgbox(0,"Setpoint value Channel 1", "Setpoint valueChannel 1:   " & FormatDecimalValue(GetSetpointValue ($Device1, 1)) & "C")
msgbox(64,"Actual value Channel 1",   "Actual value Channel 1:    " & FormatDecimalValue(GetActualValue   ($Device1, 1)) & "C")
