;#############################################################################
;---------------- DEFINE DEVICE SERIAL NUMBERS TO USE ------------------------
;#############################################################################

; Get a handle for the device with the given serial number
; To determine serial number of device: Press "MENU" -> Select "Version Info"
; This handle must be used in the script for every function call 
; to exactly specify the device where the command should be send to

; Add more devices, if needed

Global $Device1 = OpenPeconDevice("140-08-0010")
; Global $Device2 = OpenPeconDevice("141-11-pt01")
; Global $Device3 = OpenPeconDevice("140-11-0001")



;#############################################################################
;--------------------- BEGIN USER CHANGEABLE PART ----------------------------
;#############################################################################
; Commands for the device should be placed in here
; See "PDL2000_AutoIt3-Functions.au3 for command definition
; Use $Device1, $Device2, etc. as handle for commands, definition is in "PDL2000_Core-Script.au3"
; Read AutoIt3 documentation (http://www.autoitscript.com) and have fun!

;-----------------------------------------------------------------------------

; Example5: Record 60 values (~1 per second) from channel 1 and 2 into a text file "Recording.txt" saved to User-Desktop-Folder (overwrite old file)
$file = FileOpen(@DesktopDir & "\" & "Recording.txt", 2)
For $count = 1 to 60
	$ActualValue1 = FormatDecimalValue(GetActualValue ($Device1, 1))
	$ActualValue2 = FormatDecimalValue(GetActualValue ($Device1, 2))
	$date = @MDAY & "." & @MON & "." & @YEAR
	$time = @HOUR & ":" & @MIN & ":" & @SEC
	FileWriteLine($file, $date & @TAB & $time & @TAB & $ActualValue1 & @TAB & $ActualValue2)
	ConsoleWrite("DataLog #" & $count & @TAB & $date & @TAB & $time & @TAB & $ActualValue1 & @TAB & $ActualValue2 & @LF)
	Sleep(1000)	
Next
FileClose($file)